#### Previous topic

scipy.cluster.hierarchy.centroid

#### Next topic

scipy.cluster.hierarchy.ward

# scipy.cluster.hierarchy.median

`scipy.cluster.hierarchy.``median`(y)

  Performs median/WPGMC linkage.

  See `linkage` for more information on the return structure and algorithm.

  > The following are common calling conventions:

  > 1. `Z = median(y)`

  >    Performs median/WPGMC linkage on the condensed distance matrix `y`. See `linkage` for more information on the return structure and algorithm.

  > 2. `Z = median(X)`

  >    Performs median/WPGMC linkage on the observation matrix `X` using Euclidean distance as the distance metric. See linkage for more information on the return structure and algorithm.

  Parameters:

  y : ndarray

  > A condensed or redundant distance matrix. A condensed distance matrix is a flat array containing the upper triangular of the distance matrix. This is the form that `pdist` returns. Alternatively, a collection of m observation vectors in n dimensions may be passed as a m by n array.

  Returns:

  Z : ndarray

  > The hierarchical clustering encoded as a linkage matrix.

  See also

  `linkage`
    for advanced creation of hierarchical clusterings.